@import './theme/variables.scss';

$text-primary: 'Poppins';
$text-secondary: 'Roboto';

$fonts: ($text-primary, --ion-text-primary),
    ($text-secondary, --ion-text-secondary),
    ($text-secondary, --ion-font-family);

html,
body {
    font-family: var(--ion-text-primary);
}

ion-button {
    font-size: 17px;
    font-family: $text-secondary;
    font-weight: inherit;
    color: inherit;
    &[shape='circle'] {
        --border-radius: 50%;
        width: 56px;
        height: 56px;
    }
}

ion-input {
    --placeholder-color: var(--ion-color-silver) !important;
    border: solid var(--ion-color-light) 2px;
    border-radius: 30px;
}

.custom-dayview {
    & .dayview-normal-event-container {
        margin-top: 0;
    }
    & .dayview-allday-table {
        display: none;
    }
}
.dayview-container {
    background-color: var(--ion-color-light-grey);
}

.dayview-allday-label {
    font-size: 12px !important;
    width: 50px !important;
}

.dayview-allday-table {
    color: white;
    background-color: var(--ion-color-bright-green);
}

.dayview-allday-content-wrapper {
    background-color: var(--ion-color-light-grey);
}

.calendar-hour-column {
    width: 50px !important;
}
